Win a copy of Penetration Testing Basics this week in the Security forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

Plugin in the same eclipse instance

RajHans Kumar
Posts: 19
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
Hi All

I have a plugin.class in which I am calling methods in another classes.
The other classes need some jars which have added up in the classpath .
Now the problem is whenever I am trying to deploy a plugin in the same instance of eclipse by doing
an File ->Export ->Plug-in Development ->Deployable plug-ins and fragments
And selecting that package I am getting an error which are of type :

" ERROR in D:\WorkSpace\com.example.helloworld\src\com\example\helloworld\view\ (at line 4)
import org.apache.poi.xssf.usermodel.XSSFSheet;
The import org.apache cannot be resolved"
(These errors aren't displayed in the normal editor)

1.Do I need to add all these poi-jars somewhere ?(have already added them in the Build tab of the plugin.xml)
2.Is there anyother way to remove these errors and get the plugin deplyed

Kindly advise .

  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic